﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DataTemplateSample
{
  public partial class MainPage : UserControl
  {
    public MainPage()
    {
      InitializeComponent();
      lbxStatesOfGermany.ItemsSource = States.StatesOfGermany;
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      // Apply template
      lbxStatesOfGermany.ItemTemplate = Application.Current.Resources["ListboxItemTemplate"] as DataTemplate;

      // The next two lines are not required in WPF, but in Silverlight
      lbxStatesOfGermany.ItemsSource = null;
      lbxStatesOfGermany.ItemsSource = States.StatesOfGermany;
    }
  }
}
